Opened 9 years ago

Closed 8 years ago

#773 closed Bug (fixed)

Quadratic Sieve Crash System.FormatException: Index (zero based)

Reported by: no-reply@… Owned by: kopal
Priority: Unclassified Milestone: CrypTool 2.0 BETA 10
Component: General Keywords: Sieve
Cc:

Description

Title: Crash report
Exception at 14/04/2013 09:58:14 (UTC time).
User message:

-
Exception:
System.FormatException: Index (zero based) must be greater than or equal to zero and less than the size of the argument list.
   at System.Text.StringBuilder.AppendFormat(IFormatProvider provider, String format, Object[] args)
   at System.String.Format(IFormatProvider provider, String format, Object[] args)
   at System.String.Format(String format, Object arg0, Object arg1, Object arg2)
   at Primes.WpfControls.Factorization.QS.Step3.Execute(QSData& data)
   at Primes.WpfControls.Factorization.QS.QuadraticSieveControl.ExecuteStep3()
   at Primes.WpfControls.Factorization.QS.QuadraticSieveControl.DoExecute()
   at Primes.WpfControls.Factorization.QS.QuadraticSieveControl.ExecuteFactorization()
   at System.Threading.ThreadHelper.ThreadStart_Context(Object state)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean ignoreSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   at System.Threading.ThreadHelper.ThreadStart()

-
System infos:
Operating System: Microsoft Windows NT 6.1.7601 Service Pack 1
Processors: 4
Administrative Rights: False
Current culture: en-US
CrypTool version: 2.0.5151.1
Installation type: NSIS
Build type: Beta
Build time: 20/12/2012 16:47:12
Product name: CrypTool 2.0 (Beta 9 - Build 5151.1)
Common language runtime version: 4.0.30319.296
System time: 10:58


Change History (2)

comment:1 Changed 8 years ago by matkovic

Keywords: Sieve added
Owner: changed from coredevs to kopal
Status: newassigned
Summary: Crash report 2013-04-14Quadratic Sieve Crash System.FormatException: Index (zero based)

comment:2 Changed 8 years ago by kopal

Resolution: fixed
Status: assignedclosed

has been already fixed by someone using a try-catch-block

Note: See TracTickets for help on using tickets.